# -*- encoding: utf-8 -*-
# stub: buff-extensions 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "buff-extensions"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jamie Winsor"]
  s.date = "2014-02-06"
  s.description = "Extensions to Core Ruby classes"
  s.email = ["jamie@vialstudios.com"]
  s.files = [".gitignore", ".ruby-version", ".travis.yml", "CONTRIBUTING.md", "Gemfile", "Guardfile", "LICENSE", "README.md", "Thorfile", "buff-extensions.gemspec", "lib/buff-extensions.rb", "lib/buff/extensions.rb", "lib/buff/extensions/boolean.rb", "lib/buff/extensions/hash.rb", "lib/buff/extensions/hash/dotted_paths.rb", "lib/buff/extensions/hash/except.rb", "lib/buff/extensions/hash/key_transforms.rb", "lib/buff/extensions/hash/reverse_merge.rb", "lib/buff/extensions/hash/slice.rb", "lib/buff/extensions/kernel.rb", "lib/buff/extensions/kernel/reporting.rb", "lib/buff/extensions/object.rb", "lib/buff/extensions/object/blank.rb", "lib/buff/extensions/object/try.rb", "lib/buff/extensions/string.rb", "lib/buff/extensions/string/inflections.rb", "lib/buff/extensions/version.rb", "spec/buff/extensions/hash/dotted_paths_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/RiotGames/buff-extensions"
  s.licenses = ["Apache 2.0"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
  s.rubygems_version = "2.2.2"
  s.summary = "Extensions to Core Ruby classes"
  s.test_files = ["spec/buff/extensions/hash/dotted_paths_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<buff-ruby_engine>, ["~> 0.1"])
      s.add_development_dependency(%q<thor>, ["~> 0.18.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<fuubar>, [">= 0"])
      s.add_development_dependency(%q<guard>, [">= 0"])
      s.add_development_dependency(%q<guard-rspec>, [">= 0"])
      s.add_development_dependency(%q<guard-spork>, [">= 0"])
      s.add_development_dependency(%q<spork>, [">= 0"])
    else
      s.add_dependency(%q<buff-ruby_engine>, ["~> 0.1"])
      s.add_dependency(%q<thor>, ["~> 0.18.0"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<fuubar>, [">= 0"])
      s.add_dependency(%q<guard>, [">= 0"])
      s.add_dependency(%q<guard-rspec>, [">= 0"])
      s.add_dependency(%q<guard-spork>, [">= 0"])
      s.add_dependency(%q<spork>, [">= 0"])
    end
  else
    s.add_dependency(%q<buff-ruby_engine>, ["~> 0.1"])
    s.add_dependency(%q<thor>, ["~> 0.18.0"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<fuubar>, [">= 0"])
    s.add_dependency(%q<guard>, [">= 0"])
    s.add_dependency(%q<guard-rspec>, [">= 0"])
    s.add_dependency(%q<guard-spork>, [">= 0"])
    s.add_dependency(%q<spork>, [">= 0"])
  end
end
